Skip to main content
PUT
/
v2
/
webhook_subscriptions
/
{id}
Update a webhook subscription
curl --request PUT \
  --url https://thirdparty.qonto.com/v2/webhook_subscriptions/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "callback_url": "https://api.partner.com/webhooks/qonto",
  "types": [
    "v1/transactions",
    "v1/accounts",
    "v1/organizations",
    "v1/memberships",
    "v1/consent-revocations",
    "v1/cards",
    "v1/payment-links",
    "v1/payment-links-connections",
    "v1/beneficiaries",
    "v1/client-invoices",
    "v1/terminal-payments",
    "v1/clients",
    "v1/products"
  ],
  "description": "Production webhook for transactions"
}
'
import requests

url = "https://thirdparty.qonto.com/v2/webhook_subscriptions/{id}"

payload = {
"callback_url": "https://api.partner.com/webhooks/qonto",
"types": ["v1/transactions", "v1/accounts", "v1/organizations", "v1/memberships", "v1/consent-revocations", "v1/cards", "v1/payment-links", "v1/payment-links-connections", "v1/beneficiaries", "v1/client-invoices", "v1/terminal-payments", "v1/clients", "v1/products"],
"description": "Production webhook for transactions"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
callback_url: 'https://api.partner.com/webhooks/qonto',
types: [
'v1/transactions',
'v1/accounts',
'v1/organizations',
'v1/memberships',
'v1/consent-revocations',
'v1/cards',
'v1/payment-links',
'v1/payment-links-connections',
'v1/beneficiaries',
'v1/client-invoices',
'v1/terminal-payments',
'v1/clients',
'v1/products'
],
description: 'Production webhook for transactions'
})
};

fetch('https://thirdparty.qonto.com/v2/webhook_subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "organization_id": "123e4567-e89b-12d3-a456-426614174000",
  "membership_id": "123e4567-e89b-12d3-a456-426614174000",
  "callback_url": "https://api.partner.com/webhooks/qonto",
  "types": [
    "v1/transactions",
    "v1/accounts",
    "v1/organizations",
    "v1/memberships",
    "v1/consent-revocations",
    "v1/cards",
    "v1/payment-links",
    "v1/payment-links-connections",
    "v1/beneficiaries",
    "v1/client-invoices",
    "v1/terminal-payments",
    "v1/clients",
    "v1/products"
  ],
  "created_at": "2025-01-24T10:55:00Z",
  "updated_at": "2025-01-24T10:55:00Z",
  "description": "Production webhook for transactions"
}
{
"code": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
}
}
{
"code": "<string>",
"detail": "<string>"
}
{
"code": "<string>",
"detail": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"source": {
"parameter": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Path Parameters

id
string<uuid>
required

Body

application/json
callback_url
string<uri>
required

The HTTPS URL where webhooks will be sent

Maximum string length: 512
Pattern: ^https://.*
Example:

"https://api.partner.com/webhooks/qonto"

types
enum<string>[]
required

The types of events to subscribe to

Minimum array length: 1
Available options:
v1/transactions,
v1/accounts,
v1/organizations,
v1/memberships,
v1/consent-revocations,
v1/cards,
v1/payment-links,
v1/payment-links-connections,
v1/beneficiaries,
v1/client-invoices,
v1/terminal-payments,
v1/clients,
v1/products
Example:
[
"v1/transactions",
"v1/accounts",
"v1/organizations",
"v1/memberships",
"v1/consent-revocations",
"v1/cards",
"v1/payment-links",
"v1/payment-links-connections",
"v1/beneficiaries",
"v1/client-invoices",
"v1/terminal-payments",
"v1/clients",
"v1/products"
]
description
string

Optional description for the webhook subscription

Maximum string length: 256
Example:

"Production webhook for transactions"

Response

Webhook subscription updated successfully

id
string<uuid>
required

Unique identifier for the webhook subscription

Example:

"123e4567-e89b-12d3-a456-426614174000"

organization_id
string<uuid>
required

ID of the organization that owns this subscription

Example:

"123e4567-e89b-12d3-a456-426614174000"

membership_id
string<uuid>
required

ID of the membership that owns this subscription

Example:

"123e4567-e89b-12d3-a456-426614174000"

callback_url
string<uri>
required

The HTTPS URL where webhooks will be sent

Maximum string length: 512
Pattern: ^https://.*
Example:

"https://api.partner.com/webhooks/qonto"

types
enum<string>[]
required

The types of events to subscribe to

Minimum array length: 1
Available options:
v1/transactions,
v1/accounts,
v1/organizations,
v1/memberships,
v1/consent-revocations,
v1/cards,
v1/payment-links,
v1/payment-links-connections,
v1/beneficiaries,
v1/client-invoices,
v1/terminal-payments,
v1/clients,
v1/products
Example:
[
"v1/transactions",
"v1/accounts",
"v1/organizations",
"v1/memberships",
"v1/consent-revocations",
"v1/cards",
"v1/payment-links",
"v1/payment-links-connections",
"v1/beneficiaries",
"v1/client-invoices",
"v1/terminal-payments",
"v1/clients",
"v1/products"
]
created_at
string<date-time>
required

When the subscription was created

Example:

"2025-01-24T10:55:00Z"

updated_at
string<date-time>
required

When the subscription was last updated

Example:

"2025-01-24T10:55:00Z"

description
string

Optional description for the webhook subscription

Maximum string length: 256
Example:

"Production webhook for transactions"